Bug 88170 - 32 bits opengl apps crash with latest llvm 3.6 git / mesa git / radeonsi
Summary: 32 bits opengl apps crash with latest llvm 3.6 git / mesa git / radeonsi
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-07 18:22 UTC by Paulo Dias
Modified: 2015-01-07 21:48 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo Dias 2015-01-07 18:22:53 UTC
with today mesa git 426fd535d9e2812c52dd709f8e5532bae501b3f6 and llvm git 225348

i cant run 32bits opengl apps anymore, 64 bits ones works fine.

backtrace from unigine-tropics:

Starting program: /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/Tropics -video_app opengl -sound_app openal -extern_define RELEASE -system_script tropics/unigine.cpp -engine_config ../data/unigine.cfg -data_path ../ -video_fullscreen 1 -video_mode -1 -video_width 1920 -video_height 1080
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0xf3c59b40 (LWP 4821)]
[Thread 0xf3c59b40 (LWP 4821) exited]

Program received signal SIGSEGV, Segmentation fault.
0xf48c6bde in LLVMDisposeTargetMachine () from /usr/lib/i386-linux-gnu/libLLVM-3.6.so.1
(gdb) bt
#0  0xf48c6bde in LLVMDisposeTargetMachine () from /usr/lib/i386-linux-gnu/libLLVM-3.6.so.1
#1  0xf64eed85 in ?? () from /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so
#2  0xf61f57b9 in ?? () from /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so
#3  0xf61f585e in ?? () from /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so
#4  0xf61f1446 in ?? () from /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so
#5  0xf6a1e3cd in ?? () from /usr/lib/i386-linux-gnu/mesa/libGL.so.1
#6  0xf69f56a9 in ?? () from /usr/lib/i386-linux-gnu/mesa/libGL.so.1
#7  0xf69f5732 in ?? () from /usr/lib/i386-linux-gnu/mesa/libGL.so.1
#8  0xf69f5883 in ?? () from /usr/lib/i386-linux-gnu/mesa/libGL.so.1
#9  0xf6b00241 in XCloseDisplay () from /usr/lib/i386-linux-gnu/libX11.so.6
#10 0xf7457c95 in ?? () from ./bin/libUnigine_x86.so
#11 0xf74582fe in SystemInfo::init() () from ./bin/libUnigine_x86.so
#12 0xf7407834 in Engine::init(int, char**, char const*, char const*) () from ./bin/libUnigine_x86.so
#13 0xf7409afb in Engine::Engine(int, char**, char const*, char const*) () from ./bin/libUnigine_x86.so
#14 0xf741ff33 in Unigine::Engine::init(int, int, char**, char const*, char const*) () from ./bin/libUnigine_x86.so
#15 0x080485f7 in ?? ()
#16 0xf6c6ea83 in __libc_start_main () from /lib/i386-linux-gnu/libc.so.6
#17 0x08048521 in ?? ()
Comment 1 Laurent carlier 2015-01-07 18:24:44 UTC
backtrace with valgrind and glxgears32

[lordh@archMain Desktop]$ valgrind glxgears32
==4233== Memcheck, a memory error detector
==4233== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==4233== Using Valgrind-3.10.1 and LibVEX; rerun with -h for copyright info
==4233== Command: glxgears32
==4233==
Init tm = 0x46b9018
Running synchronized to the vertical refresh. The framerate should be
approximately the same as the monitor refresh rate.
2 frames in 5.1 seconds = 0.392 FPS
104 frames in 5.0 seconds = 20.748 FPS
299 frames in 5.0 seconds = 59.632 FPS
==4233== Invalid read of size 4
==4233== at 0x4EBF56F: fprintf (stdio2.h:97)
==4233== by 0x4EBF56F: si_destroy_screen (si_pipe.c:430)
==4233== by 0x4C3B188: dri_destroy_screen_helper (dri_screen.c:365)
==4233== by 0x4C3B22D: dri_destroy_screen (dri_screen.c:375)
==4233== by 0x4C36E15: driDestroyScreen (dri_util.c:235)
==4233== by 0x40C93EC: dri2DestroyScreen (dri2_glx.c:710)
==4233== by 0x40A06C8: FreeScreenConfigs.isra.3 (glxext.c:209)
==4233== by 0x40A0751: glx_display_free (glxext.c:232)
==4233== by 0x40A08A2: __glXCloseDisplay (glxext.c:280)
==4233== by 0x4194212: XCloseDisplay (in /usr/lib32/libX11.so.6.3.0)
==4233== by 0x8049B98: ??? (in /usr/bin/glxgears32)
==4233== by 0x42CCE5D: (below main) (in /usr/lib32/libc-2.20.so)
==4233== Address 0x4662460 is 464 bytes inside a block of size 468 free'd
==4233== at 0x402B708: free (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==4233== by 0x4F283E1: r600_destroy_common_screen (r600_pipe_common.c:879)
==4233== by 0x4EBF568: si_destroy_screen (si_pipe.c:427)
==4233== by 0x4C3B188: dri_destroy_screen_helper (dri_screen.c:365)
==4233== by 0x4C3B22D: dri_destroy_screen (dri_screen.c:375)
==4233== by 0x4C36E15: driDestroyScreen (dri_util.c:235)
==4233== by 0x40C93EC: dri2DestroyScreen (dri2_glx.c:710)
==4233== by 0x40A06C8: FreeScreenConfigs.isra.3 (glxext.c:209)
==4233== by 0x40A0751: glx_display_free (glxext.c:232)
==4233== by 0x40A08A2: __glXCloseDisplay (glxext.c:280)
==4233== by 0x4194212: XCloseDisplay (in /usr/lib32/libX11.so.6.3.0)
==4233== by 0x8049B98: ??? (in /usr/bin/glxgears32)
==4233==
Dispose tm = 0x46b9018
==4233== Invalid read of size 4
==4233== at 0x4EBF588: si_destroy_screen (si_pipe.c:431)
==4233== by 0x4C3B188: dri_destroy_screen_helper (dri_screen.c:365)
==4233== by 0x4C3B22D: dri_destroy_screen (dri_screen.c:375)
==4233== by 0x4C36E15: driDestroyScreen (dri_util.c:235)
==4233== by 0x40C93EC: dri2DestroyScreen (dri2_glx.c:710)
==4233== by 0x40A06C8: FreeScreenConfigs.isra.3 (glxext.c:209)
==4233== by 0x40A0751: glx_display_free (glxext.c:232)
==4233== by 0x40A08A2: __glXCloseDisplay (glxext.c:280)
==4233== by 0x4194212: XCloseDisplay (in /usr/lib32/libX11.so.6.3.0)
==4233== by 0x8049B98: ??? (in /usr/bin/glxgears32)
==4233== by 0x42CCE5D: (below main) (in /usr/lib32/libc-2.20.so)
==4233== Address 0x4662460 is 464 bytes inside a block of size 468 free'd
==4233== at 0x402B708: free (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==4233== by 0x4F283E1: r600_destroy_common_screen (r600_pipe_common.c:879)
==4233== by 0x4EBF568: si_destroy_screen (si_pipe.c:427)
==4233== by 0x4C3B188: dri_destroy_screen_helper (dri_screen.c:365)
==4233== by 0x4C3B22D: dri_destroy_screen (dri_screen.c:375)
==4233== by 0x4C36E15: driDestroyScreen (dri_util.c:235)
==4233== by 0x40C93EC: dri2DestroyScreen (dri2_glx.c:710)
==4233== by 0x40A06C8: FreeScreenConfigs.isra.3 (glxext.c:209)
==4233== by 0x40A0751: glx_display_free (glxext.c:232)
==4233== by 0x40A08A2: __glXCloseDisplay (glxext.c:280)
==4233== by 0x4194212: XCloseDisplay (in /usr/lib32/libX11.so.6.3.0)
==4233== by 0x8049B98: ??? (in /usr/bin/glxgears32)
==4233==
==4233==
==4233== HEAP SUMMARY:
==4233== in use at exit: 51,179 bytes in 704 blocks
==4233== total heap usage: 51,343 allocs, 50,639 frees, 27,846,008 bytes allocated
==4233==
==4233== LEAK SUMMARY:
==4233== definitely lost: 432 bytes in 6 blocks
==4233== indirectly lost: 0 bytes in 0 blocks
==4233== possibly lost: 0 bytes in 0 blocks
==4233== still reachable: 50,747 bytes in 698 blocks
==4233== suppressed: 0 bytes in 0 blocks
==4233== Rerun with --leak-check=full to see details of leaked memory
==4233==
==4233== For counts of detected and suppressed errors, rerun with: -v
==4233== ERROR SUMMARY: 2 errors from 2 contexts (suppressed: 0 from 0)
Comment 2 Alex Deucher 2015-01-07 18:31:59 UTC
Can you bisect?
Comment 3 Paulo Dias 2015-01-07 18:58:49 UTC
valgrind trace of unigine-tropics (32 bits)

DRI_PRIME=1 valgrind ./bin/Tropics -video_app opengl -sound_app openal -extern_define RELEASE -system_script tropics/unigine.cpp -engine_config ../data/unigine.cfg -data_path ../ -video_fullscreen 1 -video_mode -1 -video_width 1920 -video_height 1080
==8041== Memcheck, a memory error detector
==8041== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==8041== Using Valgrind-3.10.0 and LibVEX; rerun with -h for copyright info
==8041== Command: ./bin/Tropics -video_app opengl -sound_app openal -extern_define RELEASE -system_script tropics/unigine.cpp -engine_config ../data/unigine.cfg -data_path ../ -video_fullscreen 1 -video_mode -1 -video_width 1920 -video_height 1080
==8041== 
==8041== Warning: ignored attempt to set SIGKILL handler in sigaction();
==8041==          the SIGKILL signal is uncatchable
==8041== Conditional jump or move depends on uninitialised value(s)
==8041==    at 0x402D377: strlen (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==8041==    by 0x44E248F: String::append(char const*, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44E24D9: StringStack::operator=(char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B0795: Engine::init(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B2AFA: Engine::Engine(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44C8F32: Unigine::Engine::init(int, int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x80485F6: ??? (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/Tropics)
==8041==    by 0x5223A82: (below main) (libc-start.c:287)
==8041== 
==8041== Conditional jump or move depends on uninitialised value(s)
==8041==    at 0x44E0B11: String::rfind(char) const (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B07A5: Engine::init(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B2AFA: Engine::Engine(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44C8F32: Unigine::Engine::init(int, int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x80485F6: ??? (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/Tropics)
==8041==    by 0x5223A82: (below main) (libc-start.c:287)
==8041== 
==8041== Source and destination overlap in strcpy(0x50553e0, 0x50553e0)
==8041==    at 0x402D4E6: strcpy (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==8041==    by 0x4500357: ??? (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x45012DF: SystemInfo::init() (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B0833: Engine::init(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B2AFA: Engine::Engine(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44C8F32: Unigine::Engine::init(int, int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x80485F6: ??? (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/Tropics)
==8041==    by 0x5223A82: (below main) (libc-start.c:287)
==8041== 
==8041== Invalid read of size 4
==8041==    at 0x60E9D7A: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x5DF07B8: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x5DF085D: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x5DEC445: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x59C83CC: ??? (in /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0)
==8041==    by 0x599F6A8: ??? (in /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0)
==8041==    by 0x599F731: ??? (in /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0)
==8041==    by 0x599F882: ??? (in /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0)
==8041==    by 0x53E9240: XCloseDisplay (in /usr/lib/i386-linux-gnu/libX11.so.6.3.0)
==8041==    by 0x4500C94: ??? (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x45012FD: SystemInfo::init() (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B0833: Engine::init(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==  Address 0x55bdcd8 is 464 bytes inside a block of size 468 free'd
==8041==    at 0x402B358: free (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==8041==    by 0x6174E41: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x60E9D78: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x5DF07B8: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x5DF085D: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x5DEC445: ??? (in /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so)
==8041==    by 0x59C83CC: ??? (in /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0)
==8041==    by 0x599F6A8: ??? (in /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0)
==8041==    by 0x599F731: ??? (in /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0)
==8041==    by 0x599F882: ??? (in /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0)
==8041==    by 0x53E9240: XCloseDisplay (in /usr/lib/i386-linux-gnu/libX11.so.6.3.0)
==8041==    by 0x4500C94: ??? (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041== 
Loading "/home/groo/.Unigine Tropics/unigine.cfg"...
Engine::init(): clear video settings for "Gallium 0.4 on AMD CAPE VERDE 3.0 Mesa 10.5.0-devel (padoka PPA)"
Loading "libGL.so.1"...
Loading "libopenal.so.1"...
ALWrapper::init(): can't load "libopenal.so.1" library
libopenal.so.1: cannot open shared object file: No such file or directory
Can't initialize OpenAL wrapper
Install latest OpenAL
Set 1920x1080 fullscreen video mode
Set 1.00 gamma value
Unigine engine http://unigine.com/
Binary: Linux 32bit GCC 4.3.2 Release May 20 2010
App path:  /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/
Data path: /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/data/
Save path: /home/groo/.Unigine Tropics/

---- System ----
System: Linux 3.19.0-031900rc3-generic x86_64
CPU: Intel(R) Core(TM)2 CPU          6600  @ 2.40GHz 2273MHz MMX SSE SSE2 SSE3 SSSE3 HTT
GPU: Gallium 0.4 on AMD CAPE VERDE 3.0 Mesa 10.5.0-devel (padoka PPA)
System memory: 5881 Mb
Video memory:  256 Mb

---- MathLib ----
Set SSE3 simd processor

---- Sound ----
NULL

---- Render ----
==8041== Conditional jump or move depends on uninitialised value(s)
==8041==    at 0x4A7FC68: Render::setEnvironmentExposure(float) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4A87581: Render::clear() (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4A912CB: Render::Render() (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4CD09E3: GLRender::GLRender() (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4CD37FF: GLRenderManager::create_render() const (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4AA693E: RenderManager::createRender() const (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B1468: Engine::init(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44B2AFA: Engine::Engine(int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x44C8F32: Unigine::Engine::init(int, int, char**, char const*, char const*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x80485F6: ??? (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/Tropics)
==8041==    by 0x5223A82: (below main) (libc-start.c:287)
==8041== 
GLRender::GLRender(): Unknown GPU
OpenGL vendor:   X.Org
OpenGL renderer: Gallium 0.4 on AMD CAPE VERDE
OpenGL version:  3.0 Mesa 10.5.0-devel (padoka PPA)
Found required GL_ARB_map_buffer_range
Found required GL_ARB_vertex_array_object
Found required GL_ARB_vertex_buffer_object
Found required GL_ARB_half_float_vertex
Found required GL_ARB_half_float_pixel
Found required GL_ARB_occlusion_query
Found required GL_EXT_texture3D
Found required GL_EXT_texture_cube_map
Found required GL_EXT_texture_sRGB
Found required GL_EXT_texture_swizzle
Found required GL_ARB_shader_object
Found required GL_ARB_vertex_shader
Found required GL_ARB_fragment_shader
Found required GL_ARB_draw_buffers
Found required GL_ARB_framebuffer_object
Found required GL_EXT_framebuffer_blit
Found required GL_EXT_framebuffer_multisample
Found optional GL_ARB_draw_instanced
Found optional GL_ARB_transform_feedback
Found optional GL_ARB_draw_elements_base_vertex
Found optional GL_ARB_uniform_buffer_object
Found optional GL_ARB_sample_shading
Found optional GL_ARB_gpu_shader4
Found optional GL_ARB_texture_rg
Found optional GL_ARB_texture_array
Found optional GL_ARB_texture_multisample
Found optional GL_ARB_texture_compression
Found optional GL_ARB_texture_compression_rgtc
Found optional GL_ARB_seamless_cube_map
Shading language:      1.30
Maximum texture size:  16384
Maximum texture units: 48
Maximum draw buffers:  8

---- Physics ----
Physics: Multi-threaded

---- Interpreter ----
Version: 2.31

Loading "tropics/unigine.cpp" 2775ms
==8041== Conditional jump or move depends on uninitialised value(s)
==8041==    at 0x46E186E: WidgetHSlider::setValue(int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46E1A53: WidgetHSlider::WidgetHSlider(Gui*, int, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4684866: UserInterface::parse_hslider(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46876C0: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4688D82: UserInterface::parse_hbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x468720B: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4688996: UserInterface::parse_gridbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46872F7: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4688748: UserInterface::parse_groupbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46872D3: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041== 
==8041== Conditional jump or move depends on uninitialised value(s)
==8041==    at 0x46E2F89: WidgetHScroll::setObjectSize(int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46E41FD: WidgetHScroll::WidgetHScroll(Gui*, int, int, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46A9072: WidgetScrollBox::WidgetScrollBox(Gui*, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4686EC2: UserInterface::parse_scrollbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687340: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4688152: UserInterface::parse_tabbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x468735D: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687DBD: UserInterface::parse_window(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041== 
==8041== Conditional jump or move depends on uninitialised value(s)
==8041==    at 0x46E3AEE: WidgetHScroll::setValue(int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46E422D: WidgetHScroll::WidgetHScroll(Gui*, int, int, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46A9072: WidgetScrollBox::WidgetScrollBox(Gui*, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4686EC2: UserInterface::parse_scrollbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687340: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4688152: UserInterface::parse_tabbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x468735D: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687DBD: UserInterface::parse_window(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041== 
==8041== Conditional jump or move depends on uninitialised value(s)
==8041==    at 0x46E1B79: WidgetVScroll::setObjectSize(int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46E2E3D: WidgetVScroll::WidgetVScroll(Gui*, int, int, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46A90C8: WidgetScrollBox::WidgetScrollBox(Gui*, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4686EC2: UserInterface::parse_scrollbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687340: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4688152: UserInterface::parse_tabbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x468735D: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687DBD: UserInterface::parse_window(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041== 
==8041== Conditional jump or move depends on uninitialised value(s)
==8041==    at 0x46E272E: WidgetVScroll::setValue(int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46E2E6D: WidgetVScroll::WidgetVScroll(Gui*, int, int, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46A90C8: WidgetScrollBox::WidgetScrollBox(Gui*, int, int) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4686EC2: UserInterface::parse_scrollbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687340: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4688152: UserInterface::parse_tabbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x468735D: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687989: UserInterface::parse_vbox(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x46871DA: UserInterface::parse(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041==    by 0x4687DBD: UserInterface::parse_window(Xml const*, UserInterface::UIWidget*) (in /home/groo/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.3/tropics/bin/libUnigine_x86.so)
==8041== 
Loading "demos/tropics/locale/unigine.en" dictionary
Loading "core/materials/unigine_post.mat" 12 materials 12 shaders 72ms
Loading "core/materials/unigine_render.mat" 34 materials 77 shaders 298ms
Loading "core/materials/unigine_meshes.mat" 16 materials 9350 shaders 1370ms
Loading "core/materials/unigine_terrains.mat" 1 material 293 shaders 61ms
Loading "core/materials/unigine_grass.mat" 1 material 81 shaders 126ms
Loading "core/materials/unigine_particles.mat" 1 material 43 shaders 97ms
Loading "core/materials/unigine_billboards.mat" 1 material 33 shaders 115ms
Loading "core/materials/unigine_volumes.mat" 5 materials 29 shaders 184ms
Loading "core/materials/unigine_guis.mat" 1 material 24 shaders 42ms
Loading "core/materials/unigine_water.mat" 1 material 63 shaders 203ms
Loading "core/materials/unigine_skies.mat" 1 material 19 shaders 223ms
Loading "core/materials/unigine_decals.mat" 1 material 69 shaders 142ms
Loading "core/properties/unigine.prop" 2 properties 51ms
Killed
Comment 4 Tom Stellard 2015-01-07 21:48:55 UTC
Fixed in git by e28f9d0e60468db429e75a27443f7df52da224a2


bug/show.html.tmpl processed on Mar 27, 2017 at 20:25:46.
(provided by the Example extension).